# Method: customers.configurations.list

- [HTTP request](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/list#body.request_body)
- [Response body](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/list#body.response_body)
  - [JSON representation](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/list#body.ListConfigurationsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/list#body.aspect)

Lists a customer's configurations.

### HTTP request

`GET https://androiddeviceprovisioning.googleapis.com/v1/{parent=customers/*}/configurations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The customer that manages the listed configurations. An API resource name in the format `customers/[CUSTOMER_ID]`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message of customer's listing configuration.

| JSON representation ||
|---|---|
| ``` { "configurations": [ { object (`https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations#Configuration`) } ] } ``` |

| Fields ||
|---|---|
| `configurations[]` | ``object (`https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations#Configuration`)`` The configurations. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkzerotouchemm`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).